- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Data Structures | Namespaces | Functions
dim4.hpp File Reference
`#include <ostream>`
`#include <istream>`
`#include <vector>`
`#include <af/defines.h>`
`#include <af/seq.h>`

Go to the source code of this file.

## Data Structures
class | dim4

## Namespaces
| af

## Functions
AFAPI dim4 | operator+ (const dim4 &first, const dim4 &second)
AFAPI dim4 | operator- (const dim4 &first, const dim4 &second)
AFAPI dim4 | operator* (const dim4 &first, const dim4 &second)
static std::ostream & | operator<< (std::ostream &ostr, const dim4 &dims)
static std::istream & | operator>> (std::istream &istr, dim4 &dims)
AFAPI bool | isSpan (const af_seq &seq)
AFAPI size_t | seqElements (const af_seq &seq)
AFAPI dim_t | calcDim (const af_seq &seq, const dim_t &parentDim)